## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanVector.hpp File Reference

Include dependency graph for XalanVector.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

- #define XALANVECTOR_HEADER_GUARD_1357924680

## Functions

- XALAN_CPP_NAMESPACE_BEGIN XALAN_USING_XERCES (MemoryManager) template< class Type, class ConstructionTraits=MemoryManagedConstructionTraits< Type > > class XalanVector
    XalanXMLSerializerBase serves as a base class for XML serializers based on FormatterListener events. More...
- void swap (XalanVector< Type > &theLHS, XalanVector< Type > &theRHS)
- bool operator== (const XalanVector< Type > &theLHS, const XalanVector< Type > &theRHS)
- bool operator!= (const XalanVector< Type > &theLHS, const XalanVector< Type > &theRHS)
- template<class Type> bool operator< (const XalanVector< Type > &theLHS, const XalanVector< Type > &theRHS)
- template<class Type> bool operator<= (const XalanVector< Type > &theLHS, const XalanVector< Type > &theRHS)
- bool operator> (const XalanVector< Type > &theLHS, const XalanVector< Type > &theRHS)
- bool operator>= (const XalanVector< Type > &theLHS, const XalanVector< Type > &theRHS)

## Define Documentation

#define XALANVECTOR_HEADER_GUARD_1357924680

| Value:
Author: David Bertoni (david_n_bertoni@us.ibm.com) , Matthew Hoyt (mhoyt@ca.ibm.com)

## Function Documentation

XALAN_CPP_NAMESPACE_BEGIN XALAN_USING_XERCES ( | MemoryManager )

| XalanXMLSerializerBase serves as a base class for XML serializers based on FormatterListener events.

bool operator!= ( | const XalanVector< Type > & theLHS,
| const XalanVector< Type > & theRHS )

template<class Type>
bool operator< ( | const XalanVector< Type > & theLHS,
| const XalanVector< Type > & theRHS )

template<class Type>
bool operator<= ( | const XalanVector< Type > & theLHS,
| const XalanVector< Type > & theRHS )

bool operator== ( | const XalanVector< Type > & theLHS,
| const XalanVector< Type > & theRHS )

bool operator> ( | const XalanVector< Type > & theLHS,
| const XalanVector< Type > & theRHS )

bool operator>= ( | const XalanVector< Type > & theLHS,
| const XalanVector< Type > & theRHS )

void swap ( | XalanVector< Type > & theLHS,
| XalanVector< Type > & theRHS )

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.